diff -Nur stunnel-3.14/Makefile.in stunnel-3.14-ma1/Makefile.in
--- stunnel-3.14/Makefile.in	Wed Jan 24 21:54:19 2001
+++ stunnel-3.14-ma1/Makefile.in	Thu Jun  7 17:54:42 2001
@@ -50,6 +50,7 @@
 maintainer-clean: distclean
 
 dist: distclean ../dist/$(VERSION).exe
+	sed 's+\@VERSION\@+@VERSION@+' <stunnel.spec.in >stunnel.spec
 	cp -rp . ../dist/$(VERSION)
 	tar -cf - -C ../dist $(VERSION) | gzip > ../dist/$(VERSION).tar.gz
 	rm -rf ../dist/$(VERSION)
diff -Nur stunnel-3.14/stunnel.spec stunnel-3.14-ma1/stunnel.spec
--- stunnel-3.14/stunnel.spec	Wed Dec 13 11:49:45 2000
+++ stunnel-3.14-ma1/stunnel.spec	Thu Jan  1 01:00:00 1970
@@ -1,75 +0,0 @@
-Summary: Program that wraps normal socket connections with SSL/TLS
-Name: stunnel
-Version: 3.9
-Release: 1
-Copyright: GPL
-Group: Applications/Networking
-Source: stunnel-%{version}.tgz
-Requires: openssl >= 0.9.3a
-Buildroot: /var/tmp/stunnel-root
-
-%description
-The stunnel program is designed to work as SSL encryption wrapper
-between remote clients and local (inetd-startable) or remote
-servers. The concept is that having non-SSL aware daemons running on
-your system you can easily set them up to communicate with clients over
-secure SSL channels.
-stunnel can be used to add SSL functionality to commonly used inetd
-daemons like POP-2, POP-3, and IMAP servers, to standalone daemons like
-NNTP, SMTP and HTTP, and in tunneling PPP over network sockets without
-changes to the source code.
- 
-%prep
-%setup -n stunnel-%{version}
-
-
-%build
-if [ ! -x ./configure ]; then
-    autoconf
-    autoheader
-fi
-
-# !!! important settings !!!
-# '-DNO_RSA' in USA
-CFLAGS="${RPM_OPT_FLAGS}" ./configure
-
-make
-make stunnel.html
-
-%install
-rm -rf $RPM_BUILD_ROOT
-mkdir -p $RPM_BUILD_ROOT/usr/sbin
-mkdir -p $RPM_BUILD_ROOT/usr/lib
-mkdir -p $RPM_BUILD_ROOT/usr/man/man8
-
-install -m755 -s stunnel $RPM_BUILD_ROOT/usr/sbin
-install -m755 -s stunnel.so $RPM_BUILD_ROOT/usr/lib
-install -m644 stunnel.8 $RPM_BUILD_ROOT/usr/man/man8
-
-%clean
-rm -rf $RPM_BUILD_ROOT
-
-%post
-ldconfig
-
-%postun
-ldconfig
-
-%files
-%defattr(-,root,root)
-%doc FAQ stunnel.html transproxy.txt
-%doc ca.html ca.pl importCA.html importCA.sh stunnel.cnf
-/usr/sbin/stunnel
-/usr/lib/stunnel.so
-/usr/man/man8/stunnel.8
-
-%changelog
-* Sun Jun 24 2000 Brian Hatch <bri@stunnel.org>
-- updated for 3.8p3
-
-* Wed Jul 14 1999 Dirk O. Siebnich <dok@vossnet.de>
-- updated for 3.5.
-
-* Mon Jun 07 1999 Dirk O. Siebnich <dok@vossnet.de>
-- adapted from sslwrap RPM spec file
-
diff -Nur stunnel-3.14/stunnel.spec.in stunnel-3.14-ma1/stunnel.spec.in
--- stunnel-3.14/stunnel.spec.in	Thu Jan  1 01:00:00 1970
+++ stunnel-3.14-ma1/stunnel.spec.in	Thu Jun  7 18:05:08 2001
@@ -0,0 +1,78 @@
+Summary: Program that wraps normal socket connections with SSL/TLS
+Name: stunnel
+Version: @VERSION@
+Release: 1
+Copyright: GPL
+Group: Applications/Networking
+Source: stunnel-%{version}.tar.gz
+Requires: openssl >= 0.9.3a
+Buildroot: /var/tmp/stunnel-root
+
+%description
+The stunnel program is designed to work as SSL encryption wrapper
+between remote clients and local (inetd-startable) or remote
+servers. The concept is that having non-SSL aware daemons running on
+your system you can easily set them up to communicate with clients over
+secure SSL channels.
+stunnel can be used to add SSL functionality to commonly used inetd
+daemons like POP-2, POP-3, and IMAP servers, to standalone daemons like
+NNTP, SMTP and HTTP, and in tunneling PPP over network sockets without
+changes to the source code.
+ 
+%prep
+%setup -n stunnel-%{version}
+
+
+%build
+if [ ! -x ./configure ]; then
+    autoconf
+    autoheader
+fi
+
+# !!! important settings !!!
+# '-DNO_RSA' in USA
+CFLAGS="${RPM_OPT_FLAGS}" ./configure
+
+make stunnel stunnel.so stunnel.8 stunnel.html
+
+%install
+rm -rf $RPM_BUILD_ROOT
+mkdir -p $RPM_BUILD_ROOT/usr/sbin
+mkdir -p $RPM_BUILD_ROOT/usr/lib
+mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
+
+install -m755 -s stunnel $RPM_BUILD_ROOT/usr/sbin
+install -m755 -s stunnel.so $RPM_BUILD_ROOT/usr/lib
+install -m644 stunnel.8 $RPM_BUILD_ROOT/%{_mandir}/man8
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%post
+ldconfig
+
+%postun
+ldconfig
+
+%files
+%defattr(-,root,root)
+%doc FAQ stunnel.html transproxy.txt
+%doc ca.html ca.pl importCA.html importCA.sh stunnel.cnf
+/usr/sbin/stunnel
+/usr/lib/stunnel.so
+%{_mandir}/man8/stunnel.8.gz
+
+%changelog
+* Thu Jun 7 2001 Matthias Andree <matthias.andree@web.de>
+- rename spec to spec.in and have Makefile regenerate stunnel.spec.in
+  with proper version
+
+* Sun Jun 24 2000 Brian Hatch <bri@stunnel.org>
+- updated for 3.8p3
+
+* Wed Jul 14 1999 Dirk O. Siebnich <dok@vossnet.de>
+- updated for 3.5.
+
+* Mon Jun 07 1999 Dirk O. Siebnich <dok@vossnet.de>
+- adapted from sslwrap RPM spec file
+
